Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1550214 - (CVE-2018-7170) CVE-2018-7170 ntp: Ephemeral association time spoofing additional protection
CVE-2018-7170 ntp: Ephemeral association time spoofing additional protection
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20180227,reported=2...
: Security
Depends On: 1561056 1582246 1550228 1550229
Blocks: 1550226
  Show dependency treegraph
 
Reported: 2018-02-28 14:37 EST by Pedro Sampaio
Modified: 2018-09-09 18:13 EDT (History)
5 users (show)

See Also:
Fixed In Version: ntp 4.2.8p11
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2018-02-28 14:37:48 EST
ntpd can be vulnerable to Sybil attacks. If a system is set up to use a trustedkey and if one is not using the feature introduced in ntp-4.2.8p6 allowing an optional 4th field in the ntp.keys file to specify which IPs can serve time, a malicious authenticated peer -- i.e. one where the attacker knows the private symmetric key -- can create arbitrarily-many ephemeral associations in order to win the clock selection of ntpd and modify a victim's clock.

Ps.: This is possibly a incomplete fix for CVE-2016-1549.

References:

http://support.ntp.org/bin/view/Main/NtpBug3415
Comment 1 Pedro Sampaio 2018-02-28 14:51:45 EST
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1550228]

Note You need to log in before you can comment on or make changes to this bug.